Skip to main content

List Volume Files Endpoint

GET /v1/volumes/{volume_id}/files

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
volume_idpathstringYes
prefixquerystringNodefault="", minLength=0
recursivequerybooleanNodefault=true
limitqueryintegerNodefault=1000, min=1, max=5000
X-API-Keyheaderstring | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{
"type": "array",
"items": {
"properties": {
"path": {
"type": "string",
"title": "Path"
},
"filename": {
"type": "string",
"title": "Filename"
},
"size": {
"type": "integer",
"title": "Size"
}
},
"type": "object",
"required": [
"path",
"filename",
"size"
],
"title": "VolumeFileListEntryResponse"
},
"title": "Response List Volume Files Endpoint V1 Volumes Volume Id Files Get"
}

Field details:

FieldTypeRequiredDescriptionConstraints
[]objectYes
[].pathstringYes
[].filenamestringYes
[].sizeintegerYes

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo